spring:
  application:
    name: vms-safe-adapter
  main:
#    web-application-type: none
    log-startup-info: true
    banner-mode: off
  mvc:
    view:
      prefix: /WEB-INF/jsp/
      suffix: .jsp
  config:
    import: file:${user.dir}/conf/application.yml
  profiles:
    include: application
  datasource:
    hikari:
      its:
        auto-commit: true
        connection-test-query: SELECT 1 FROM DUAL
        minimumIdle: 5
        maximumIdle: 10
        #maximumPoolSize: 20
        idleTimeout: 30000
        connectTimeout: 10000
        pool-name: pool-vms-safe-adapter-its
      safe:
        auto-commit: true
        connection-test-query: SELECT 1 FROM DUAL
        minimumIdle: 5
        maximumIdle: 10
        #maximumPoolSize: 20
        idleTimeout: 30000
        connectTimeout: 10000
        pool-name: pool-vms-safe-adapter-safe
#  servlet:
#    context-path: /
#    session:
#      tracking-mode: cookie
#      timeout: 1200
#    multipart:
#      enabled: true
#      file-size-threshold: 10MB
#      max-file-size: 300MB
#      max-request-size: 300MB
#  jackson:
#    property-naming-strategy: LOWER_CASE
server:
  port: 7904
  shutdown: graceful
  error:
    whitelabel:
      enabled: true
    include-exception: false
    include-stacktrace: never
  servlet:
    session:
      timeout: 300
  max-distance: 20
  max-trvl-min: 60

application:
  id: SAFE01
  name: VMS 재난안전 연계 서버
  history: true
  user-id: admin
  user-pswd: 1234

jasypt:
  encryptor:
    bean: jasyptStringEncryptor
    property:
      prefix: ENC(
      suffix: )
